</div>
<!-- конец центральной колонки--->

</td>
<!------начало правой  колонки-------->
<?php
//$pokp=true;
//$pokp1=true;
//$pokp2=true;
//$pokp3=true;
if ($pokp)    // если показ колонки $pokp
{
 if ($pokp1 or $pokp2 or $pokp3)
 {
 echo  '<td id=k6><div style="width:200;height:20;color:';
 if (file_exists($ifa."kpz-c.txt")) {include "plan/pod/kpz-c.txt";}
 echo ';background:'; 
 if (file_exists($ifa."kpz-b.txt")) {include "plan/pod/kpz-b.txt";} else {echo " silver";}
 echo '"><center><b>';
 
 
 include "plan/rz.htm";  // заголовок  правой колонки
 echo '</b></center></div>';
 }
 if ($pokp1)
 {
 echo '<DIV id=k3  style="width:200;OVERFLOW: auto;color:'; 
 if (file_exists($ifa."kp1-c.txt")) {include "plan/pod/kp1-c.txt";}
 echo ';background:'; 
 if (file_exists($ifa."kp1-b.txt")) {include "plan/pod/kp1-b.txt";} else {echo " silver";}
 echo '" align=left>';
 include "plan/r1t/r1t.htm";
 echo '</div>';
}
 if ($pokp2)
 {
 echo '<DIV id=k4 style="OVERFLOW: auto;width:200;color:';
 if (file_exists($ifa."kp2-c.txt")) {include "plan/pod/kp2-c.txt";}
 echo ';background:'; 
 if (file_exists($ifa."kp2-b.txt")) {include "plan/pod/kp2-b.txt";} else {echo " silver";}
 echo '" align=left>';
 include "plan/r2t/r2t.htm";
 echo '</div>';
}
 if ($pokp3)
 {
 echo '<DIV id=k5 style="OVERFLOW: auto;width:200;color:'; 
 if (file_exists($ifa."kp3-c.txt")) {include "plan/pod/kp3-c.txt";}
 echo ';background:'; 
 if (file_exists($ifa."kp3-b.txt")) {include "plan/pod/kp3-b.txt";} else {echo " silver";}
 echo '" align=left>';
 include "plan/r3t/r3t.htm";
 echo '</div>';
 echo '</td>';
 }
 }
?>
</tr>
<?php
if ($pokb)
{
  echo '<tr id=podv>
 <td colspan=3>
 <DIV id=k10 style="OVERFLOW: auto;height:75px;width:100%">
 <table border=0 width=100% ><tbody> 
 <tr>';
 if ($pokb1)
 {echo '<!---левая колонка подвала---->';
 echo ' <td width=33% valign=top style="color:';
 //pl-b.txt
 if (file_exists($ifa."pl-c.txt")) {include "plan/pod/pl-c.txt";}
 echo ';background:'; 
 if (file_exists($ifa."pl-b.txt")) {include "plan/pod/pl-b.txt";}  else {echo " silver";}
 echo '">';
 include "plan/pl/pl.htm";
 echo '</td>';
 }
 if ($pokb2)
 {
 echo '<!---центральная колонка подвала---->';
 echo '<td width=33% valign=top style="color:';
 //pc-b.txt
 if (file_exists($ifa."pc-c.txt")) {include "plan/pod/pc-c.txt";}
 echo ';background:'; 
 if (file_exists($ifa."pc-b.txt")) {include "plan/pod/pc-b.txt";}  else {echo " silver";}
 echo '">';
 include "plan/pc/pc.htm";
 echo '</td>';
 }
 if ($pokb3)
 {
 echo '<!---правая колонка подвала---->';	
 echo '<td width=33% valign=top style="color:';
 //pp-b.txt
 if (file_exists($ifa."pp-c.txt")) {include "plan/pod/pp-c.txt";}
 echo ';background:'; 
 if (file_exists($ifa."pp-b.txt")) {include "plan/pod/pp-b.txt";}  else {echo " silver";}
 echo '">';
 include "plan/pr/pr.htm";
 echo '</td>';
 }
 echo '</tr>'; 
 echo '</tbody>';
 echo '</table>';
 echo '</td>';
 echo '</tr>';
 echo '</div>';
 }
 
?>
</table>

</body>

<script type="text/javascript">
main.style.visibility="hidden";

var retu=location.href;
var rez=false
yk1=document.all["k1"]!=undefined;  // есть левая
yk3=document.all["k3"]!=undefined;  // есть правая 1
yk4=document.all["k4"]!=undefined;  // есть правая 2
yk5=document.all["k5"]!=undefined;  // есть правая 3
var d1=0;    
var d1z=0;
var hsap=0
var mg=";",mp=";"
var mj=0
var ipic=1;   // счетчик картинок
var imax=0;    // количество картинок с показов в текущем окне
w=<?php   if (isset($_GET['scr'])) {echo trim($_GET['scr']);} else {echo "0";} echo "\r\n" ?>
w1=<?php   if (isset($_GET['scr1'])) {echo trim($_GET['scr1']);} else {echo "0";} echo "\r\n" ?>
mg="<?php   if (isset($_GET['vis'])){echo trim($_GET['vis']);} ?>"
var dc=0
//////
  var mob=false;
  var isMobile = {
    Android: function() {
    return navigator.userAgent.match(/Android/i);
    },
    BlackBerry: function() {
    return navigator.userAgent.match(/BlackBerry/i);
    },
    iOS: function() {
    return navigator.userAgent.match(/iPhone|iPad|iPod/i);
    },
    Opera: function() {
    return navigator.userAgent.match(/Opera Mini/i);
    },
    Windows: function() {
    return navigator.userAgent.match(/IEMobile/i);
    },
    any: function() {
    return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
    }
    };
    if(isMobile.any()){
    mob=true
    if (navigator.userAgent.indexOf("Android 2")>0 || navigator.userAgent.indexOf("Android 1")>0 ) 
    {}
    else
	{
//	mob=false
	}
   }
//////
//mob=true
window.onload=function ()
{
onLd(0)
}
/////////////////////////////////////////////
function bez(p)
{
 //$_SERVER['HTTP_REFERER'];
// p.href=$_SERVER['HTTP_REFERER']+"&bez=1";
//location.href=$_SERVER['HTTP_REFERER']+"&bez=1";
alert($_SERVER['HTTP_REFERER'])
 //p.click()
}
/////////////////////////////////////////////////
//**********************************************
// изменение размеров объектов главной страницы
//**********************************************
function scre()
{
hsap=qqq1.offsetHeight //sap.scrollHeight+sap1.scrollHeight  giir
document.all["gip1"].style.height=h.offsetHeight-100;
document.all["zip1"].style.height=h.offsetHeight-100;
document.all["gip1"].style.width=h.offsetWidth-200;
document.all["zip1"].style.width=h.offsetWidth-200;
document.all["giir"].style.height=h.offsetHeight-150;
document.all["ziir"].style.height=h.offsetHeight-150;
document.all["giir"].style.width=h.offsetWidth-100;
document.all["ziir"].style.width=h.offsetWidth-100;




if (document.all["podv"]==undefined)  // нет подвал
{d1=h.offsetHeight-hsap-30;}
else
{d1=h.offsetHeight-hsap-podv.scrollHeight-17;  // есть подвал
}
d1z=d1/3;
d2z=d1/2;
if (yk1)               
{k1.style.height=d1-15;
}
if (yk3 & yk4 & yk5)  // все окна правой
{k3.style.height=d1z-5;
k4.style.height=d1z-5;
k5.style.height=d1z-5;
}
else if (yk3 & !yk4 & !yk5) // только 1 окно
{k3.style.height=d1-15;
}
else if (!yk3 & yk4 & !yk5) // только 2 окно
{k4.style.height=d1-15;
}
else if (!yk3 & !yk4 & yk5) // только 3 окно
{k5.style.height=d1-15;
}
else if (yk3 & yk4 & !yk5) // только 1-2 окно
{k3.style.height=d2z-8;
k4.style.height=d2z-8;
}
else if (yk3 & !yk4 & yk5) // только 1-3 окно
{k3.style.height=d2z-8;
k5.style.height=d2z-8;
}
else if (!yk3 & yk4 & yk5) // только 2-3 окно
{k4.style.height=d2z-8;
k5.style.height=d2z-8;}

k2.style.height=d1-15;   // центр есть всегда
kw1=0;
kw2=0;
if (document.all["k1"]!=undefined)
{kw1=k1.offsetWidth;}
if (document.all["k3"]!=undefined)
{kw2=k3.offsetWidth;}
if (document.all["k4"]!=undefined)
{kw2=k4.offsetWidth;}
if (document.all["k5"]!=undefined)
{kw2=k5.offsetWidth;}



k2.style.width=h.offsetWidth-kw1-kw2-15
}


function rez1()
{
main.style.visibility="hidden";
window.location =retu;
main.style.visibility="visible";
scre()
}
function c(j,pt)
{
if  (document.all[j].style.display=="")
{
document.all[j].style.display="none"
pt.src="../d~e~f/plus.gif"
mg=mg.replace(j+";","")
}
else
{
document.all[j].style.display=""
if (mg.indexOf(j+";")>=0) 
{} 
else 
{mg=mg+j+";"
pt.src="../d~e~f/minus.gif"
}}}
//***************************
// переход по щелчку дерева
//**************************
function q1(t,p,p2)
{
if (document.all["k1"]!=undefined)
{p.href=t+"?vis="+mg+"&scr="+document.all["k1"].scrollTop+"&td="+dp}
else
{p.href=t+"?vis="+mg+"&scr=0"+"&td="+dp}
if (p2!=undefined)
{
p.href=p.href+"&p2="+p2
}
p.click()
}




//**********************************
// открытие окна по щелчку гор меню
//**********************************
function pgm(j)
{

plan.style.visibility="visible";
//plan.style.height=d1;
//document.all["plan"].style.height=d1;
document.all["z"+j].style.display="";
document.all["z"+j].style.height=400

document.all["kar1"].style.display="";
document.all["kar1"].style.visibility="visible";
mj=j
if (mob)  // для мобил
{
mv=document.all["z"+j].scrollHeight
document.all["z"+j].style.overflow=""
document.all["z"+j].style.height=mv
document.all["kar1"].style.height=mv 
}
}
//**********************************
// закрытие окна гор меню по щелчку
//**********************************
function b1(j)
{
plan.style.visibility="hidden";
kar1.style.display="none";
document.all["z"+mj].style.display="none";
}
//***********************************
// кнопка в начало центральная колонка
//***********************************
function top1(j)
{obj=document.all["k2"]
obj.scrollTop=0;
}
//***********************************
// кнопка в начало левая колонка
//***********************************
function top2(j)
{obj=document.all["k1"]
obj.scrollTop=0;
}

//***********************************
// кнопка отправить 
//***********************************
function test(j)
{
jj=j.parentNode.parentNode
if (jj.tagName!="FORM")
{
jj=j.parentNode
}
if (jj.elements[0].value=="" || jj.elements[1].value=="")
{
alert("Не заполнены поля ! Заполни и повтори !")
}
else
{
poz1=retu.indexOf("/pages/")
poz2=retu.indexOf(".php")
w=retu.substring(poz1+7,poz2+4)
if (document.all["k"]!=undefined)
{src=document.all["k"].scrollTop}
else
{src=0}

if (mob)
{
jj.action="../pages/"+w+"?vis="+mg+"&scr="+src+"&scr1="+document.all["bod"].scrollTop+"&td="+dp
jj.elements["sub"].click()
}
else
{
jj.action="../pages/"+w+"?vis="+mg+"&scr="+src+"&scr1="+document.all["k2"].scrollTop+"&td="+dp
jj.elements["sub"].click()
}}
}

//***********************************
// кнопка -> (голосование) 
//***********************************

function test1(j)
{
jj=j.parentNode.parentNode.parentNode.parentNode.parentNode
if (jj.elements[0].value=="" || jj.elements[1].value=="")
{
alert("Не заполнены поля ! Заполни и повтори !")
}
else
{
poz1=retu.indexOf("/pages/")
poz2=retu.indexOf(".php")
w=retu.substring(poz1+7,poz2+4)
if (document.all["k"]!=undefined)
{src=document.all["k"].scrollTop}
else
{src=0}

if (mob)
{
jj.action="../pages/"+w+"?vis="+mg+"&scr="+src+"&scr1="+document.all["bod"].scrollTop+"&td="+dp
jj.elements["sub"].click()
}
else
{
jj.action="../pages/"+w+"?vis="+mg+"&scr="+src+"&scr1="+document.all["k2"].scrollTop+"&td="+dp
jj.elements["sub"].click()
}
}
}

//***********************************
// открытие картинки в текущем окне
//***********************************
// массив картинок получим
var zs =document.getElementById("k2").getElementsByTagName("IMG");
var itek=0;   // индекс текущей картинки
var iauto="";
/////////
function pon(p)  // картинка загрузилась
{
if (mob)
{
document.all["im"].style.height=""  //300
document.all["im"].style.width=""  //450
rew=a_i(2)
}
else
{
document.all["im"].style.width="";
document.all["im"].style.height="";
}

im.style.visibility="visible"
}
///////// установим интервал
var tm;
function av(j)
{ tm=setInterval(v, 5000);
 document.all["p_s1"].innerHTML="START, 5 сек.";
}
////// функция показа по времени
function v(j)
{
rew=a_f(j);
}
////// стоп показа
function st()
{
clearInterval(tm);
document.all["p_s1"].innerHTML="STOP";
}
//// по размеру рамки
function a_i(p)
{

a_ih=parseInt(document.all["im"].offsetHeight)  // высота картинки
a_iw=parseInt(document.all["im"].offsetWidth)   // ширина картинки
a_ih2=parseInt(document.all["pic_d"].offsetHeight)  // высота рамки
a_iw2=parseInt(document.all["pic_d"].offsetWidth)   // ширина рамки
if (a_ih2<=a_iw2)        // настраиваемся о высоте
{
document.all["im"].style.height=a_ih2
}
else                   // настраиваемся о щирине
{
document.all["im"].style.width=a_iw2;
}
a_ih=parseInt(document.all["im"].offsetHeight)  // высота картинки
a_iw=parseInt(document.all["im"].offsetWidth)   // ширина картинки

if (a_ih>a_ih2)
{
document.all["im"].style.width=""
document.all["im"].style.height=a_ih2 
}
else
{
if (a_iw>a_iw2)
{
document.all["im"].style.width=a_iw2 
document.all["im"].style.height="" 
}
}




}
var pic = new Array()
//////////////////////////////////////////////////////
function a(j)
{
if (mob)
{
document.all["pic_d"].style.height=300 //h.offsetHeight-400;
document.all["pic_d"].style.width=550  //h.offsetWidth-300;
document.all["kar"].style.top=document.getElementById('bod').scrollTop
}
else
{
document.all["pic_d"].style.height=h.offsetHeight-200;
document.all["pic_d"].style.width=h.offsetWidth-300;
}
document.all["kar"].style.height=h.offsetHeight;
document.all["kar"].style.width=h.offsetWidth;


document.all["po"].innerHTML=j.title;
im.style.visibility="hidden"
k=0;
if (imax==0 )   // подститаем количество картинок к показу
{
for(var i=0; i<zs.length; i++)
{if (zs[i].id!="")
{
pic[k++]=i;
}}
imax=k;
}
document.all["im"].src=j.id;
if (mob)
{document.all["im"].style.height=h.offsetHeight-300;
document.all["im"].style.width=h.offsetWidth-400;
}


for(var i=0; i<pic.length; i++)
{
if (zs[pic[i]].id==j.id) {break;}
}
itek=i;

document.all["kar"].style.display="";
//alert(document.all["kar"].style.display)
document.all["p_s"].innerHTML="&nbsp;&nbsp;&nbsp;"+(itek+1)+"/"+imax;
document.all["ppp"].style.visibility="visible";
}
//***********************************
// закрытие картинки в текущем окне
//***********************************
function b(j)
{im.src="";
clearInterval(tm);
document.all["p_s1"].innerHTML="";
document.all["p_s"].innerHTML="";
ppp.style.visibility="hidden";
kar.style.display="none";}

//***********************************
// просмотр картинок в прямом
//***********************************
function a_f(j)
{
itek++;
//im.style.visibility="hidden"
if (itek>imax-1) {itek=0;} 
im.src=zs[pic[itek]].id;
document.all["p_s"].innerHTML="&nbsp;&nbsp;&nbsp;"+(itek+1)+"/"+imax;
document.all["po"].innerHTML=zs[pic[itek]].title;

}

//***********************************
// просмотр картинок в обратном
//***********************************
function a_b(j)
{
itek--;
//im.style.visibility="hidden"
if (itek<0) {itek=imax-1;} 
im.src=zs[pic[itek]].id;
document.all["p_s"].innerHTML="&nbsp;&nbsp;&nbsp;"+(itek+1)+"/"+imax;
document.all["po"].innerHTML=zs[pic[itek]].title;
}
//***********************************
// просмотр картинок в автомате
//***********************************
function a_auto(j)
{}


//***********************************
// просмотр 1 картинки
//***********************************
function a_begin(j)
{itek=0;
im.src=zs[pic[itek]].id;
document.all["p_s"].innerHTML="&nbsp;&nbsp;&nbsp;"+(itek+1)+"/"+imax;
document.all["po"].innerHTML=zs[pic[itek]].title;
}


//***********************************
// просмотр последней картинки
//***********************************
function a_end(j)
{itek=imax-1;
im.src=zs[pic[itek]].id;
document.all["p_s"].innerHTML="&nbsp;&nbsp;&nbsp;"+(itek+1)+"/"+imax;
document.all["po"].innerHTML=zs[pic[itek]].title;
}

//******************************************************
function karp(j)
{
}
//*****************************
// раскроем скроем все списки
function list_all(p,nt)
{pm=p.parentNode.parentNode.getElementsByTagName(nt)
pim=p.parentNode.getElementsByTagName("IMG")
if (p.src.indexOf("minus.gif")>0)
{
for(var j = 0; j < pim.length; j++)       // 
{if (pim[j].src.indexOf("minus.gif")>0)
{pim[j].src="../d~e~f/plus.gif"}
}
for(var j = 1; j < pm.length; j++)       // 
{pm[j].style.display="none"}
}
else
{for(var j = 0; j < pim.length; j++)       // 
{if (pim[j].src.indexOf("plus.gif")>0)
{pim[j].src="../d~e~f/minus.gif"}
}
for(var j = 0; j < pm.length; j++)       // 
{pm[j].style.display=""}
for(var j = 0; j < pm.length; j++)       // 
{pm[j].style.display=""}
}
if (mob)  // для мобил
{document.all["bod"].scrollTop=p.parentNode.offsetTop+document.getElementById("sap").offsetHeight-20
}
else
{document.getElementById("k2").scrollTop=p.parentNode.offsetTop-20
}
}

//************************
// раскроем/скроем список
function list_z(p,nt)
{tek=p.parentNode.getElementsByTagName(nt)[0].style
if (tek.display=="")
{tek.display="none"
p.src="../d~e~f/plus.gif"}
else
{tek.display=""
p.src="../d~e~f/minus.gif"}
}

//*****************************
// раскроем/скроем контейнер
function konsp(p)
{tek=p.parentNode.parentNode.getElementsByTagName("div")[0].style
if (tek.display=="")
{tek.display="none"
p.src="../d~e~f/plus.gif"}
else
{tek.display=""
p.src="../d~e~f/minus.gif"}
tek=p.parentNode.parentNode.getElementsByTagName("div")[0]
if (mob)  // для мобил
{document.all["bod"].scrollTop=tek.parentNode.offsetTop+document.getElementById("sap").offsetHeight-20
}
else
{document.getElementById("k2").scrollTop=tek.parentNode.offsetTop-20
}
}

//******************************************************
// сохраним запись записной и ежедневника
//******************************************************
knn=0    // прокрутка для планшетов
function ziie(j)
{
if (mob)    // если планшет
{
window.top.document.getElementById('bod').scrollTop=knn
}



if (j==2 || j==4)
{ppp.style.visibility="hidden"
zii.style.display="none"
gii.style.display="none"
document.getElementById("buh").style.background="#dcdcdc"
document.getElementById("buh2").style.background="#dcdcdc"
return
}
phtml=false
if (j==3)
{mid='ziir'
mmm2=" "+document.getElementById("buh2").style.background
if (mmm2.indexOf("white")>0) phtml=true
}
else if (j==1)
{mid='giir'
mmm2=" "+document.getElementById("buh").style.background
if (mmm2.indexOf("white")>0) phtml=true
}
tags44=document.getElementById(mid).value
tags4=tags44.split("..") 
tags5=tags.split("<#>") 
pos=false
if (phtml)    // сли уходим их HTML
{
if (" "+tags44.indexOf("..")>0) 
{pos=true}
else
{qwe2=tags44}
}
else          // из TXT  
{if (tags5.length!=tags4.length) 
{pos=true}
else
{
for (i=0;i<=tags4.length-1;i++) 
{
tags44=tags44.replace("..",tags5[i])
}
qwe2=tags44
}
}
if (pos)
{alert("Сохранение невозможо ! \r\n Было удаление или добавление разделитеьных символов в виде 2 точек."+
"\r\n Начни заново !\r\n Для возврата щелкни поле ввода и нжми Ctrl+z нужное количество раз")
return
}
document.getElementById("buh2").style.background="#dcdcdc"
document.getElementById("buh").style.background="#dcdcdc"
document.getElementById("but2").style.background="#dcdcdc"
document.getElementById("but").style.background="#dcdcdc"
if (j==1)   // закрыть с сохранением ежедневник
{document.getElementsByTagName('iframe')['ifr'].contentWindow.document.getElementById("feg").elements["eg_e"].value=qwe2
document.getElementsByTagName('iframe')['ifr'].contentWindow.document.getElementById("feg").elements["eg_sav"].click();
}
else if (j==3)   // закрыть с сохранением записная
{document.getElementsByTagName('iframe')['ifrzk'].contentWindow.document.getElementById("fzk").elements["zk_e"].value=qwe2
document.getElementsByTagName('iframe')['ifrzk'].contentWindow.document.getElementById("fzk").elements["zk_sav"].click();
}
ppp.style.visibility="hidden";
zii.style.display="none";
gii.style.display="none";
}


//*****************************************************
function gip(j)
{
//document.getElementById('bod').scrollTop=document.getElementsByTagName('iframe')['ifr'].contentWindow.rewscr
document.getElementById("ppp").style.visibility="hidden";
document.getElementById("gip").style.display="none";
if (mob)    // если планшет
{
window.top.document.getElementById('bod').scrollTop=knn
}

}

//******************************************************
function zip(j)
{document.getElementById("ppp").style.visibility="hidden";
document.getElementById("zip").style.display="none";
if (mob)    // если планшет
{
window.top.document.getElementById('bod').scrollTop=knn
}

}




//****************************************************************************
// вставка выбранного текста по щелчку на поле ввода в месте вставки ЗАПИСНОЙ

function getCaretPos2(p,event) 
//***************************************************************************
{


if (p.id=="ziir")
{mbut="but2"}
else
{mbut="but"}
mmm=p.parentNode.parentNode.parentNode.parentNode.parentNode     // таблица где все 
obj2=mmm.getElementsByTagName("INPUT")[0]
mmm2=" "+document.getElementById(mbut).style.background
if (mmm2.indexOf("white")==0)
{alert("Вставка возможна только в режиме скрытых тегов.\r\n Щелкни TXT и повтори !")
return
}
obj=mmm.getElementsByTagName("TEXTAREA")[0]  
obj.focus();
scrw=obj.scrollTop
vte=0
  if (document.selection) 
  { // IE
    var sel = document.selection.createRange();
	vte=sel.text.length
    if (vte!=0) return
    var clone = sel.duplicate();
    sel.collapse(true);
    clone.moveToElementText(obj);
    clone.setEndPoint('EndToEnd', sel);
    re= clone.text.length;
  } 
  else if (obj.selectionStart!==false) 
  {
 if (obj.selectionStart!=obj.selectionEnd)
   {return}
  re= obj.selectionStart; 
  }
  else 
  {re= 0;}
  if (obj2.value=="")
{
return
}
  mmm= obj.value
	if (re==obj.innerHTML.length)
	{obj.value=mmm+obj2.value}
	else
	{obj.value=mmm.substr( 0, re)+ obj2.value+
	mmm.substr(re)
	}
  obj.scrollTop=scrw
  }
//*****************************************************
// выбор текста для вставки в коммент гостевую вопросы
//function vin(p)
var vta2t=""
function vta2(p,event)
//*******************************************
{
ev = event || window.event
var t = ev.target || ev.srcElement
if (t.tagName!="A") return

//****************************************************
{minput=p.parentNode.parentNode.parentNode.getElementsByTagName("INPUT")  // все input
for(var j = 0; j < minput.length; j++)       //   из них
{if (minput[j].id=="inn")                       // найдем поле для вставки   
{j2=j
break
}}
tin=t.innerHTML.replace(new RegExp("&nbsp;",'g'),"")

if (tin=="дата")
{minput[j2].value=' '+Date().toString()+' '
} 
else if (tin=="LI")
{minput[j2].value='<LI>'
} 
else if (tin=="OL")
{minput[j2].value='<OL><LI>первый<LI>второй<LI>третий</OL>'} 
else if (tin=="UL")
{minput[j2].value='<UL><LI>первый<LI>второй<LI>третий</UL>'} 


else if (tin=="HR")
{minput[j2].value='<HR>'
} 
else if (tin=="BR")
{minput[j2].value='<BR>'
} 
else if 
(tin=="N")
{minput[j2].value='\r\n'+'<br>&#160;&#160;&#160;'
} 
else
{
minput[j2].value=tin
vta2t=t.innerHTML
}
} 
}
//********************************************
// чистка текста для вставки ежедневника
function zvin2(p)
//*******************************************
{mmm=p.parentNode.parentNode.parentNode.parentNode.parentNode
vin=mmm.getElementsByTagName("INPUT")[0]
vin.value=""
}

//********************************************
// чистка текста ежедневника
function zvin3(p)
//*******************************************
{mmm=p.parentNode.parentNode.parentNode.parentNode.parentNode
vin=mmm.getElementsByTagName("TEXTAREA")[0]
vin.value=""
tags=""
}
var oldvta=""
//********************************************
// оформление тегами
function vta(p,event)   // this
//*******************************************
{

ev = event || window.event
var t = ev.target || ev.srcElement
mmm=p.parentNode.parentNode.parentNode.parentNode.parentNode     // таблица где все
mmm.getElementsByTagName("INPUT")[0].value=""                    // вставку зачистим
obj=mmm.getElementsByTagName("TEXTAREA")[0]  
if (obj.id=="ziir")
{mbut="but2"}
else
{mbut="but"}
mmm2=" "+document.getElementById(mbut).style.background
if (mmm2.indexOf("white")==0)
{alert("Оформление тегами возможно только в режиме скрытых тегов.\r\n Щелкни TXT и повтори !")
return
}
mmg=obj.value.split("/*")
mmg2=obj.value.split("*/")
if  (oldvta!="")
{oldvta.style.background="#dcdcdc"
}
if (t.tagName!="A") return
t.style.background="yellow"
oldvta=t
if (t.style.color!="")
{colo=t.style.color}
else
{colo="#4682b4"}
ppp2=t.innerHTML.replace(new RegExp("&nbsp;",'g'),"")            //t.innerHTML
 if (document.selection) 
  { // IE
    var sel = document.selection.createRange();
	vte=sel.text.length
    if (vte==0) 
	{//alert(mmg.length)  
  if  (mmg.length!=mmg2.length)
    {alert("На поле текста  несовпадающее количество символов голов (/*) и хвостов(*/) !\r\n Выдели правильно и повтори ! ")
    return}
else
{ if  (mmg.length==1)
 {alert("На поле текста нет выделенного фрагмента,\r\n нет и символов голов (/*) и хвостов(*/) !\r\n Выдели фрагмент и повтори или\r\n выдели 1 или несколько фрагментов с помощью голов и хвостов и повтори ! ")
 return
 }
 else
 {obj.value =obj.value.replace(/\/\*/g,"<"+ppp2+" style=color:"+colo+">")
 obj.value =obj.value.replace(/\*\//g,"</"+ppp2+">")
}
}	
   return
}
	if (ppp2=="A")
	{sel.text=sel.text.toUpperCase()}
	else if (ppp2=="a")
	{sel.text=sel.text.toLowerCase()}
	else if (ppp2=="«А»")
	{sel.text="«"+sel.text+"»"}
	else if (ppp2=="BR")
	{sel.text=+sel.text+"<BR>"}
	else if (ppp2=="LI")
	{sel.text="<LI>"+sel.text}
	else if (ppp2=="HR")
	{sel.text=sel.text+"<HR>"}
	else if (ppp2=="H1" || ppp2=="H2"  || ppp2=="H3" || ppp2=="H4"  || ppp2=="H5"  || ppp2=="H6")
	{sel.text="<"+ppp2+" style=color:"+colo+">"+sel.text+"</"+ppp2+">"}
	else
{
{sel.text="<"+ppp2+" style=color:"+colo+">"+sel.text+"</"+ppp2+">"}
}
}
else if (obj.selectionStart!==false)   // остальные браузеры
{
start= obj.selectionStart;
end=obj.selectionEnd;
 
  if (start==end) 
  {
 
	 if  (mmg.length!=mmg2.length)
    {alert("На поле текста  несовпадающее количество символов голов (/*) и хвостов(*/) !\r\n Выдели правильно и повтори ! ")
    return
	}
else
{ if  (mmg.length==1)
 {alert("На поле текста нет выделенного фрагмента,\r\n нет и символов голов (/*) и хвостов(*/) !\r\n Выдели фрагмент и повтори или\r\n выдели 1 или несколько фрагментов с помощью голов и хвостов и повтори ! ")
 return
 }
 else
 {obj.value =obj.value.replace(/\/\*/g,"<"+ppp2+" style=color:"+colo+">")
 obj.value =obj.value.replace(/\*\//g,"</"+ppp2+">")
}
}	
   return
  
  
  }
  if (ppp2=="A")
	{obj.value = obj.value.substr( 0, start)+obj.value.substr(start,end-start).toUpperCase()+obj.value.substr(end)}
	else if (ppp2=="a")
	{obj.value = obj.value.substr( 0, start)+obj.value.substr(start,end-start).toLowerCase()+obj.value.substr(end)}
	else if (ppp2=="«А»")
	{obj.value = obj.value.substr( 0, start )+"«"+obj.value.substr(start,end-start)+"»"+obj.value.substr(end)}
	else if (ppp2=="BR")
	{obj.value = obj.value+"<BR>"}
	else if (ppp2=="LI")
	{obj.value="<LI>"+obj.value}
	else if (ppp2=="HR")
	{obj.value=obj.value+"<HR>"}
	else if (ppp2=="H1" || ppp2=="H2"  || ppp2=="H3" || ppp2=="H4"  || ppp2=="H5"  || ppp2=="H6")
	{	obj.value = obj.value.substr( 0, start )+"<"+ppp2+" style=color:"+colo+">"+obj.value.substr(start,end-start)+"</"+ppp2+">"+obj.value.substr(end)
	}
	else
{



{obj.value = obj.value.substr( 0, start )+"<"+ppp2+" style=color:"+colo+">"+obj.value.substr(start,end-start)+"</"+ppp2+">"+obj.value.substr(end)
}}}
 else 
  {}
  }



function gip6(p,event)   // this
//*******************************************
{
if (p.id=="zip1")
{
mscr="cbzip"
}
else
{
mscr="cbgip"
}

if (document.getElementById(mscr).src.indexOf("no.gif")>0) return
ev = event || window.event
var t = ev.target || ev.srcElement
if (t.id=="blq" || t.id=="gip1" || t.id=="zip1" || t.tagname=="TABLE"  ) return
try {t.outerHTML=t.innerHTML
	  throw {message: "Запрещено!"}
	} catch (e) {
	return 
}
 
 }


//**********************************************
// сброс установка флажка для отмены выделения
function atip2(p)
//*********************************************
{
//if (document.getElementById("tde")!=undefined)
//{
if (p.src.indexOf("no.gif")>0)
{p.src="../d~e~f/yes.gif"}
else
{p.src="../d~e~f/no.gif"}
}



//************************************
// сохранение после отмены выделения
function gip7(p,event)   // this
//*******************************************
{if (p.id=="gip10")
{if (document.getElementById("cbgip").src.indexOf("yes.gif")>0)  // только если установлено разрешение на отмену
{if (document.getElementsByTagName('iframe')['ifr'].contentWindow.document.getElementById("feg").elements["eg_e"].value=="")
{return}
mmm=document.getElementById("gip1").innerHTML
if (mmm.indexOf("</TEXTAREA>")>0)
{rzd="</TEXTAREA>"}
else if (mmm.indexOf("</textarea>")>0)
{rzd="</textarea>"}
mmg=document.getElementById("gip1").innerHTML.split(rzd)
document.getElementsByTagName('iframe')['ifr'].contentWindow.document.getElementById("feg").elements["eghtml"].style.display=""
document.getElementsByTagName('iframe')['ifr'].contentWindow.document.getElementById("feg").elements["eg_e"].value=mmg[1];
document.getElementsByTagName('iframe')['ifr'].contentWindow.document.getElementById("feg").elements["eg_sav"].click();
}}
if (p.id=="zip10")
{if (document.getElementById("cbzip").src.indexOf("yes.gif")>0)  
{if (document.getElementsByTagName('iframe')['ifrzk'].contentWindow.document.getElementById("fzk").elements["zk_e"].value=="")
{return}
mmm=document.getElementById("zip1").innerHTML
if (mmm.indexOf("</TEXTAREA>")>0)
{rzd="</TEXTAREA>"}
else if (mmm.indexOf("</textarea>")>0)
{rzd="</textarea>"}
mmg=document.getElementById("zip1").innerHTML.split(rzd)
document.getElementsByTagName('iframe')['ifrzk'].contentWindow.document.getElementById("fzk").elements["zkhtml"].style.display=""
document.getElementsByTagName('iframe')['ifrzk'].contentWindow.document.getElementById("fzk").elements["zk_e"].value=mmg[1];
document.getElementsByTagName('iframe')['ifrzk'].contentWindow.document.getElementById("fzk").elements["zk_sav"].click();
}}
document.getElementById("cbgip").src="../d~e~f/no.gif"
document.getElementById("cbzip").src="../d~e~f/no.gif"
document.getElementById("ppp").style.visibility="hidden";
document.getElementById("gip").style.display="none";
document.getElementById("zip").style.display="none";
if (mob)    // если планшет
{
window.top.document.getElementById('bod').scrollTop=knn
}
}

//************************************
// окно для печати
function gip8(p,event)   // this
//*******************************************
{
ttt=p.parentNode.parentNode.parentNode.parentNode.parentNode.id
dop=window.open("","","");
tnap="<HTML><HEAD><META http-equiv=Content-Type content='text/html; charset=windows-1251'></head>"
tnap=tnap+document.getElementById(ttt+"1").innerHTML+"</html>"
dop.document.write(tnap)
}


//********************************************************
// кнопка HTML 
function but2(p)
//*******************************************************
{
if (p.style.background=="white") return
if (p.id=="buh2")
{mid='ziir'}
else
{mid='giir'}
tags44=document.getElementById(mid).value
tags44=tags44.replace(/\r/g,"")
tags44=tags44.replace(/\n/g,"")
tags4=tags44.split("..") 
tags5=tags.split("<#>") 
if (tags5.length!=tags4.length && tags4.length>1 )
{alert("Преобразование невозможо ! \r\n Было удаление или добавление разделитеьных символов в виде 2 точек.\r\n Начни заново !\r\n Для возврата щелкни поле ввода и нжми Ctrl+z нужное количество раз")
return
}
if (p.id=="buh2")
{document.getElementById("buh2").style.background="white"
document.getElementById("but2").style.background="#dcdcdc"
}
else
{document.getElementById("buh").style.background="white"
document.getElementById("but").style.background="#dcdcdc"
}
qwe2=""
for (i=0;i<=tags4.length-1;i++) 
{
if (i==0)
{qwe2=qwe2+tags4[i]+"\r\n"+tags5[i].replace(/></g,">\r\n<")
}
else
{qwe2=qwe2+"\r\n"+tags4[i]+"\r\n"+tags5[i].replace(/></g,">\r\n<")
}
}
document.getElementById(mid).value=qwe2
}

//********************************************************
var tags = ""                     // строка тегов
//********************************************************
//                               кнопка TXT but
function but3(p)
//********************************************************
{
if (p.id=="but2")
{document.getElementById("but2").style.background="white"
document.getElementById("buh2").style.background="#dcdcdc"
mid='ziir'
}
else
{document.getElementById("but").style.background="white"
document.getElementById("buh").style.background="#dcdcdc"
mid='giir'
}
// на случай возврата по истории редактирования
tags3=document.getElementById(mid).value
document.getElementById(mid).value=tags3.replace(/\.\./g,"")

ktex=document.getElementById(mid).value
qwe=ktex.replace(/\r/g,"")
qwe=qwe.replace(/\n/g,"")
qwe=qwe.replace(/></g,"~~")
qwe=qwe.replace(/> </g,"~~")
qwe=qwe.replace(/>  </g,"~~")
qwe=qwe.replace(/>   </g,"~~")
qwe=qwe.replace(/>    </g,"~~")
qwe=qwe.replace(/</g,"..")
qwe=qwe.replace(/>/g,"..")
qwe=qwe.replace(/~~/g,"><")
mmm=qwe.split("..")
tt=""
pzz=""
tags=""
for (i=0;i<=mmm.length-1;i++) 
{
kdo=""
kposle=""
if (i%2==1)                           // нечетные это теги
{tt="<"+mmm[i]+">"
tags=tags+tt+"<#>"                    // его значение  в глобальный массив
tt=" "+tt.toUpperCase()
pzz=pzz+"\r\n.."
}
else                                  // четные это текст
{
pzz=pzz+mmm[i]
}}
document.getElementById(mid).value=pzz
}

//***************************************************
function utag(p)  // удаление всех тегов
//***************************************************
{
if (" "+document.getElementById(mid).value.indexOf("<")>0)
{alert("На поле есть несохраненные теги.\r\n Щелкни TXT и повтори !")
return}
if (p=="2")
{mbut="but2"
mid="ziir"
}
else
{mbut="but"
mid="giir"
}
mmm2=" "+document.getElementById(mbut).style.background
if (!(mmm2.indexOf("white")>0))
{alert("Удаление всех тегов возможно только в режиме скрытых тегов.\r\n Щелкни TXT и повтори !")
return
}
if (confirm("Все теги будут удалены,\r\n уверен что хочешь этого ?"))
{document.getElementById(mid).value=document.getElementById(mid).value.replace(/\.\./g,"")
tags=""
}}

//**********************************************************
// изменение выделенного текста на поле ввода ком гост вопр
function getsel(p) 
//*********************************************************
{minput=p.parentNode.parentNode.parentNode.getElementsByTagName("INPUT")  // все input
for(var j = 0; j < minput.length; j++)       //   из них
{if (minput[j].id=="inn")                       // найдем поле для вставки   
{j2=j
break
}}
  minput[j2].value=""       // вставку зачистим
  var obj=p.parentNode.parentNode.parentNode.getElementsByTagName("TEXTAREA")[0]  // поле ввода
//  obj.focus();
  if (document.selection) 
  { // IE
    var sel = document.selection.createRange();
	vte=sel.text.length
    if (vte==0) 
	{alert("Нет выделенного фрагмента в поле текста !\r\n  Выдели и повтори !")
		return
    }
    ppp2=p.title.substr(0,1)
    if (ppp2=="1")
	{sel.text=sel.text.toUpperCase()}
	else if (ppp2=="2")
	{sel.text=sel.text.toLowerCase()}
	else
	{sel.text="«"+sel.text+"»"}
}
  else if (obj.selectionStart!==false) 
  {start= obj.selectionStart;
  end=obj.selectionEnd;
  if (start==end) 
  {
  alert("Нет выделенного фрагмента в поле текста !\r\n  Выдели и повтори !")
  return
  }
  ppp2=p.title.substr(0,1)
    if (ppp2=="1")
	{obj.value = obj.value.substr( 0, start)+obj.value.substr(start,end-start).toUpperCase()+obj.value.substr(end)
	
	}
	else if (ppp2=="2")
	{obj.value = obj.value.substr( 0, start)+obj.value.substr(start,end-start).toLowerCase()+obj.value.substr(end)}
	else
	{obj.value = obj.value.substr( 0, start )+"«"+obj.value.substr(start,end-start)+"»"+obj.value.substr(end)}
  }
  else 
  {}
  }

//*****************************************************
// выбор текста для вставки в коммент гостевую вопросы
function vin(p)
//****************************************************
{
minput=p.parentNode.parentNode.parentNode.getElementsByTagName("INPUT")  // все input
for(var j = 0; j < minput.length; j++)       //   из них
{
if (minput[j].id=="inn")                       // найдем поле для вставки   
{j2=j
break
}
}
if (p.innerHTML=="дата")
{minput[j2].value=' '+Date().toString()+' '
} 
else
{minput[j2].value=p.innerHTML
}
} 

//*********************************************************************************
// вставка выбранного текста по щелчку на поле ввода в месте вставки КОММЕНТАРИЕВ
function getCaretPos(p) 
//********************************************************************************
{minput=p.parentNode.parentNode.parentNode.getElementsByTagName("INPUT")  // все input
for(var j = 0; j < minput.length; j++)       //   из них
{if (minput[j].id=="inn")                       // найдем поле для вставки   
{j2=j
break
}}
 p.parentNode.elements[1].focus();
if (minput[j2].value=="") return                                          // input с текстом вставки 
  var obj = p.parentNode.elements[1]                                      // поле ввода


  if (document.selection) 
  { // IE
    var sel = document.selection.createRange();
	vte=sel.text.length
    if (vte!=0) return
    var clone = sel.duplicate();
    sel.collapse(true);
    clone.moveToElementText(obj);
    clone.setEndPoint('EndToEnd', sel);
    re= clone.text.length;
  } 
  else if (obj.selectionStart!==false) 
  {
   if (obj.selectionStart!=obj.selectionEnd)
   {return}
  re= obj.selectionStart; 
  }
  else 
  {re= 0;}
	mmm= obj.value
	if (re==obj.innerHTML.length)
	{obj.value=mmm+minput[j2].value}
	else
	{obj.value=mmm.substr( 0, re)+ minput[j2].value+
	mmm.substr(re)
	}
  }


//********************************************
// чистка текста для вставки
function zvin(p)
//*******************************************
{minput=p.parentNode.parentNode.parentNode.getElementsByTagName("INPUT")  // все input
for(var j = 0; j < minput.length; j++)       //   из них
{
if (minput[j].id=="inn")                       // найдем поле для вставки   
{
minput[j2].value=''
break
}}}

scr2=0
zgsm=document.getElementById('zgs').innerHTML
rzk2=document.getElementById('k2').offsetWidth

//********************************************
// Свернуть все
function zaLL()
//*******************************************
{
if (document.getElementById('sap').style.display=='none') return 
if (document.all['kL']!=undefined)
{document.getElementById('kL').style.display='none'
scr2=document.getElementById('k1').scrollTop
}

if (document.all['k6']!=undefined)
{document.getElementById('k6').style.display='none';}

if (document.all['k10']!=undefined)
{document.getElementById('k10').style.display='none';}

document.getElementById('sap').style.display='none';
document.getElementById('k2').style.width=document.getElementById('main').clientWidth-7    //   document.getElementById('ppp').offsetWidth-5       //'100%'
document.getElementById('k2').style.height=document.getElementById('main').clientHeight-30     //'97%'
}

//********************************************
// Вернуть исходное
function zaLL2()
//*******************************************
{

if (document.getElementById('sap').style.display=='') return 

if (document.all['kL']!=undefined)
{document.getElementById('kL').style.display=''
document.getElementById('kL').scrollTop=scr2
}
if (document.all['k10']!=undefined)
{document.getElementById('k10').style.display=''}
if (document.all['k6']!=undefined)
{document.getElementById('k6').style.display=''}

document.getElementById('sap').style.display=''
document.getElementById('zgs').innerHTML=zgsm
onLd(2)
//alert(document.all["k2"].parentNode.outerHTML)
document.all["k2"].style.width=document.all["k2"].parentNode.offsetWidth      //rzk2+5
}



//******************************************************
function onLd(p)    // размеры объектов в соответствие
//******************************************************   
{
if(!mob)
{scre();}
//  раскроем что нужно
if (document.all["k1"]!=undefined)
{
mmg=mg.split(";")
for (i=0;i<=mmg.length-2;i++) 
{
document.all[mmg[i]].style.display=""
if (mmg[i].indexOf("s")==0)
{document.all["s"+mmg[i]].src="../d~e~f/minus.gif"}
if (mmg[i].indexOf("g")==0)
{document.all["g"+mmg[i]].src="../d~e~f/minus.gif"}
}
document.all["k1"].scrollTop=w;
document.all["k1"].scrollTop=w;
document.all["k1"].scrollTop=w;
}
document.all["k2"].scrollTop=w1;
document.all["k2"].scrollTop=w1;
document.all["k2"].scrollTop=w1;
if (document.all["rep"]!=undefined)
{
if (p==0)
{alert(document.all["rep"].innerHTML)}
}
main.style.visibility="visible";
if(!mob)
{
if (sap1.offsetHeight>45)
{
sap1.style.height=60;
scre();
}}
else
///////////////
{
document.all["vxod"].style.display="none"     // кнопку вход на моб не показывать
document.all["bod"].style.overflow=""
if (document.all["podv"]!=undefined)
{document.all["k10"].style.height=document.all["k10"].scrollHeight;}

if (yk1)
{d1=document.all["k1"].offsetHeight;}
else
{d1=0;}
if (d1<document.all["k2"].offsetHeight)
{d1=document.all["k2"].offsetHeight;
}
else
{
document.all["k2"].style.height=d1;
}
d1z=d1/3;
d2z=d1/2;
if (yk3 & yk4 & yk5)  // все окна правой
{k3.style.height=d1z;
k4.style.height=d1z;
k5.style.height=d1z;
}
else if (yk3 & !yk4 & !yk5) // только 1 окно
{k3.style.height=d1;
}
else if (!yk3 & yk4 & !yk5) // только 2 окно
{k4.style.height=d1;
}
else if (!yk3 & !yk4 & yk5) // только 3 окно
{k5.style.height=d1;
}
else if (yk3 & yk4 & !yk5) // только 1-2 окно
{k3.style.height=d2z;
k4.style.height=d2z;
}
else if (yk3 & !yk4 & yk5) // только 1-3 окно
{k3.style.height=d2z;
k5.style.height=d2z;
}
else if (!yk3 & yk4 & yk5) // только 2-3 окно
{k4.style.height=d2z;
k5.style.height=d2z;}
if (yk1)
{
k1.style.height=d1;
}

if (w1!=0)
{
obj=document.all["bod"];
obj.scrollTop=w1;
}
}
document.all["ppp"].style.height=document.all["h"].offsetHeight;
document.all["plan"].style.height=document.all["h"].offsetHeight;
document.all["ppp"].style.width=document.all["h"].offsetWidth;
document.all["plan"].style.width=document.all["h"].offsetWidth;
document.all["bod"].style.visibility="visible";
}
//  выделение щелкнутого тега A   начало смотри page_begin.htm
va=""
function k2f(event)
{ev = event || window.event
var t = ev.target || ev.srcElement
if (t.tagName!="A") return
if (va=="")
{}
else
{va.style.border=""}
t.style.border="brown 2px double"
va=t
}

//********************************************************************
function tabtop(p)   // содержимое в отдельное окно для печати 
//********************************************************************
{

tnap="<HTML><HEAD><META http-equiv=Content-Type content='text/html; charset=windows-1251'></head><h1 style='text-align:center'>"+document.getElementById("zagvs").innerHTML+"</h1>"
tnap=tnap+document.getElementById("k2").innerHTML
tnap=tnap.replace(/onclick/g,"oncl")
tnap=tnap+"</html>"
dop=window.open("","","");
dop.document.write(tnap)
}



</script>  
</html>
